> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a computation's details

> A computation's details indicate the number of meal voucher to be given to each employee subject to the applicable statutory.




## OpenAPI

````yaml /openapi-specs/Pagga-MealVoucher.yaml get /mealvoucher/api/computations/{computationId}/details
openapi: 3.1.0
info:
  title: Lucca-MealVoucher
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca MealVoucher API.


    Lucca MealVouchers is an online service that calculates the number of meal
    vouchers to be distributed to employees each month.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Statutory
    description: The object containing all settings.
  - name: Computation
    description: >-
      The result of calculating the number of meal-vouchers to give each
      employee over a month.
  - name: Distributions
    description: The representation of a distribution of meal-vouchers to employees.
paths:
  /mealvoucher/api/computations/{computationId}/details:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - name: computationId
        in: path
        required: true
        description: Unique identifier of the computation
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Computation
      summary: Retrieve a computation's details
      description: >
        A computation's details indicate the number of meal voucher to be given
        to each employee subject to the applicable statutory.
      operationId: get-computation-details
      parameters:
        - name: fields
          description: fields is used to select specific properties
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - user
                - deliveredMealVouchers
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/FieldsRoot'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                examples:
                  - items:
                      - user:
                          id: 7
                        deliveredMealVouchers: 17
                      - user:
                          id: 8
                        deliveredMealVouchers: 17
                      - user:
                          id: 12
                        deliveredMealVouchers: 21
                      - user:
                          id: 15
                        deliveredMealVouchers: 21
                      - user:
                          id: 16
                        deliveredMealVouchers: 21
                      - user:
                          id: 47
                        deliveredMealVouchers: 21
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: object
                          description: Meal voucher recipient, e.g. the employee.
                          properties:
                            id:
                              type: integer
                              description: Unique identifier of the employee
                              minimum: 0
                        deliveredMealVouchers:
                          type: integer
                          description: Amount of the delivered meal vouchers
                          minimum: 0
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    Limit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        format: int32
        default: 10
        maximum: 10
        minimum: 1
      description: Page size
    FieldsRoot:
      name: fields.root
      in: query
      required: false
      description: Return total items count (across all pages).
      schema:
        type: string
        enum:
          - prev
          - next
          - count

````